# Module arduboy_rust::prelude::sprites

source ·
Expand description

This is the module to interact in a save way with the Sprites C++ library.

## Functions

- draw_erase
  “Erase” a sprite.
- draw_external_mask
  Draw a sprite using a separate image and mask array.
- draw_override
  Draw a sprite by replacing the existing content completely.
- draw_plus_mask
  Draw a sprite using an array containing both image and mask values.
- draw_self_masked
  Draw a sprite using only the bits set to 1.